## wxwindows2.4 2.4.4.1ubuntu1

=== debian/changelog ===
wxwindows2.4 (2.4.4.1ubuntu1) breezy; urgency=low

  * Synchronize with Debian, Ubuntu patches are integrated.
  * python-wxgtk2.4: Add Provides: python-wx, python-wxgtk.
  * Note: python packages should depend on: python-wxgtk | python-wxgtk2.4.
  * Don't build wx-common, python-wxversion and python-wxtools from
    the wxwindows2.4 source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Aug 2005 11:35:53 +0000

wxwindows2.4 (2.4.4.1) unstable; urgency=low

  * Rebuild for the xorg transition ^W^W^W^W^W^W
  * Add conflicts/replaces for the Ubuntu -c2 branded packages.
  * Update fr.po, thanks to Thomas Huriaux and debian-l10n-french.
    Closes: #323587
  * Rearrange the wxPython packages to comply with the Debian -python
    policy now that we have one, and to better support apps that
    depend on a particular version of wxPython.
  * Backport the multi-version install system from 2.6 where helpful.
  * Fully automate priority creep in the lib package alternatives.
  * Collapse the wx-common package, it does not need multiple versions
    present simultaneously.

 -- Ron Lee <ron@debian.org>  Sat, 16 Jul 2005 16:03:52 +0930

wxwindows2.4 (2.4.4ubuntu6) breezy; urgency=low

  * Update {build-,}depends for xorg -> mesa transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Aug 2005 15:08:18 +1000

wxwindows2.4 (2.4.4ubuntu5) breezy; urgency=low

  * libwxgtk2.4-1-python provides python-wx and python-wx2.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  3 Aug 2005 12:25:02 +0200

wxwindows2.4 (2.4.4ubuntu4) breezy; urgency=low

  * Fix typo in libwxgtk2.4-1-python prerm script.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Jul 2005 14:35:24 +0000

wxwindows2.4 (2.4.4ubuntu3) breezy; urgency=low

  * The libwxgtk2.4-1-python package handles wx.pth as an alternative now.
    Packages, which need a specific wxpython version, should:

      import wxversion
      wxversion.select('2.4')
      import wx

    See /usr/lib/python2.4/site-packages/wxversion.py for the details.

  * Handle the binaries in wxpython2.4 as alternatives.
  * The 2.4 and 2.6 packages do not conflict anymore.
  * wxPython/scripts/*: Explicitely use wxPython 2.4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Jul 2005 09:19:00 +0200

wxwindows2.4 (2.4.4ubuntu2) breezy; urgency=low

  * Fix libglu1-xorg-dev (build) dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jul 2005 12:54:37 +0000

wxwindows2.4 (2.4.4ubuntu1) breezy; urgency=low

  * Synchronize with Debian.
  * Add conflict/replaces lines with the libwxgtk2.4c2 library packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jul 2005 17:06:51 +0000

wxwindows2.4 (2.4.4) unstable; urgency=low

  * Remove the (apparently long obsolete) #pragma interface goop.
    Fixes gcc4 builds, and reduced library bloat too.  Closes: #309216
    Especial thanks to Mart Raudsepp for taking the hard part of this one.
  * Update de.po, thanks to Jens Seidel  Closes: #313859
  * Really closes: #267250, a new dawn of truth in versioning is upon us.
  * Bump library soname.  The api has changed independently to the -c2
    transition, but this release will be held back briefly to coincide
    nicely with that.
  * Switch from libpng2-dev to libpng12-dev in accordance with the libpng
    transition plan for etch.

 -- Ron Lee <ron@debian.org>  Wed, 22 Jun 2005 20:19:41 +0930
