=== debian/control ===
Source: wxwindows2.4
Section: libs
Priority: optional
Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk1.2-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.6.2.1

Package: libwxbase2.4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libwxbase2.4c2
Replaces: libwxbase2.4c2
Description: wxBase library (runtime) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk2.4 for use in console apps and daemons.  You do not need
 this package to build or use wxWindows GUI apps.

Package: libwxbase2.4-dev
Architecture: any
Section: libdevel
Depends: wx2.4-headers (= ${Source-Version}), libwxbase2.4-1 (= ${Source-Version}), libc6-dev
Suggests: wx2.4-doc, gettext
Conflicts: libwxbase-dev
Replaces: libwxbase-dev
Provides: libwxbase-dev
Description: wxBase library (development) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase2.4-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wx2.4-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxbase-dbg
Replaces: libwxbase-dbg
Provides: libwxbase-dbg
Description: wxBase library (debug) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...) win32, and BeOS.
 .
 This package provides a debug version of the wxBase library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libwxgtk2.4c2
Replaces: wxgtk2.1, libwxgtk2.4c2
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the shared libraries needed to run programs linked
 against wxWindows.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.4-dev
Architecture: any
Section: libdevel
Depends: wx2.4-headers (= ${Source-Version}), libwxgtk2.4-1 (= ${Source-Version}), libc6-dev
Suggests: wx2.4-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: libwxgtk-dev
Replaces: libwxgtk-dev, wxgtk2.1-dev
Provides: libwxgtk-dev
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides files needed to compile wxWindows programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.

Package: libwxgtk2.4-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wx2.4-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-dbg
Replaces: libwxgtk-dbg
Provides: libwxgtk-dbg
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a debug version of the wxGTK library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.4-1-contrib
Architecture: any
Section: libs
Depends: libwxgtk2.4-1 (= ${Source-Version}), ${shlibs:Depends}
Conflicts: libwxgtk2.4c2-contrib
Replaces: libwxgtk2.4c2-contrib
Description: wxWindows Cross-platform C++ GUI toolkit (runtime contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the contrib libs from the wxWindows source tree

Package: libwxgtk2.4-contrib-dev
Architecture: any
Section: libdevel
Depends: wx2.4-headers (= ${Source-Version}), libwxgtk2.4-dev (= ${Source-Version}), libwxgtk2.4-1-contrib (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-contrib-dev
Replaces: libwxgtk-contrib-dev
Provides: libwxgtk-contrib-dev
Description: wxWindows Cross-platform C++ GUI toolkit (development contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 Install this package if you wish to compile applications that use the
 contrib libs from the wxWindows source tree.

Package: python-wxgtk2.4
Architecture: any
Section: python
Depends: python-wxversion, python2.4, ${shlibs:Depends}
Suggests: wx2.4-doc, wx2.4-examples, python2.4-xml
Conflicts: libwxgtk-python, libwxgtk2.4-python, libwxgtk2.4-1-python
Replaces: libwxgtk-python, libwxgtk2.4-python, libwxgtk2.4-1-python
Provides: python-wx, python-wxgtk
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK library and its
 contrib libs.  If you wish to use xrced you'll also need the python2.4-xml
 package installed.

Package: python-wxgtk2.4-dbg
Architecture: any
Section: python
Depends: python-wxversion, python2.4, ${shlibs:Depends}
Conflicts: python-wxgtk2.4
Replaces: python-wxgtk2.4
Provides: python-wxgtk2.4
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK debug library.
 It is useful for developers as many common errors may be caught.
 Unfortunately it cannot be installed at the same time as the release
 packages, but it will replace them for other applications that require
 wxPython.  You should _never_ upload packages to Debian that depend upon
 this package explicitly, use the python-wxgtk2.4 package instead.
 .
 If you wish to use xrc you'll also need the python2.4-xml package installed.

Package: python-wxversion
Architecture: all
Section: python
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython version selector)
 wxWindows is a class library for C++ providing GUI components and other
 facilities on several popular platforms (and some unpopular ones as well).
 For more information see http://wxwidgets.org
 .
 This package provides the wxPython version selector.

Package: python-wxtools
Architecture: all
Section: python
Depends: python-wxgtk2.4, ${shlibs:Depends}
Conflicts: libwxgtk2.4-python, wxpython2.4-1
Replaces: libwxgtk2.4-python, wxpython2.4-1
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython common files)
 wxWindows) is a class library for C++ providing GUI components and other
 facilities on several popular platforms (and some unpopular ones as well).
 For more information see http://wxwidgets.org
 .
 This package provides support utilities and common files for wxPython2.4.
 If you wish to use xrced you'll also need the python2.4-xml package installed.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Replaces: wxwin2.4-headers, libwxgtk2.4-contrib-dev
Description: wxWindows Cross-platform C++ GUI toolkit (common support files)
 wxWindows is a class library for C++ providing GUI components and other
 facilities on several popular platforms (and some unpopular ones as well).
 For more information see http://wxwidgets.org
 .
 This package provides common support files not bound to any particular
 wxWindows release, such as miscellaneous developer aids and binary utilities.

Package: wx2.4-headers
Architecture: any
Section: devel
Conflicts: wxwin-headers, wxwin2.4-headers
Replaces: wxwin-headers, wxgtk2.1-dev, libwxgtk2.3, wxwin2.4-headers
Description: wxWindows Cross-platform C++ GUI toolkit (header files)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the common header files required to build applications
 using the wxWindows toolkit.

Package: wx2.4-i18n
Architecture: all
Section: libs
Conflicts: wxwin-i18n, wxwin2.4-i18n
Replaces: wxwin-i18n, wxwin2.4-i18n
Description: wxWindows Cross-platform C++ GUI toolkit (i18n support)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the i18n message catalogs for wxWindows.

Package: wx2.4-doc
Architecture: all
Section: doc
Conflicts: wxwin-doc, wxwin2.2-doc, wxwin2.4-doc
Replaces: wxwin-doc, wxwin2.4-doc
Suggests: doc-base, www-browser
Description: wxWindows Cross-platform C++ GUI toolkit (documentation)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a HTML version of the wxWindows reference manual.

Package: wx2.4-examples
Architecture: all
Section: devel
Suggests: libwxgtk2.4-dev (= ${Source-Version}), wx2.4-doc
Description: wxWindows Cross-platform C++ GUI toolkit (examples)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.4
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
